Package be.fgov.ehealth.rn.baselegaldata.v1

# Class ForeignAddressDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.ForeignAddressDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class ForeignAddressDeclarationType extends Object implements Serializable

Java class for ForeignAddressDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ForeignAddressDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="CountryCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeType" minOccurs="0"/>
               <element name="CountryIsoCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CountryCodeISO3166Type" minOccurs="0"/>
             </choice>
             <element name="CountryName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" minOccurs="0"/>
             <element name="CityName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" minOccurs="0"/>
             <element name="PostalCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}PostalCodeType" minOccurs="0"/>
             <element name="StreetName" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LocalizedDescriptionType" minOccurs="0"/>
             <element name="HouseNumber" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}HouseNumberType" minOccurs="0"/>
             <element name="BoxNumber" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BoxNumberType" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForeignAddressDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBoxNumber()`
  Gets the value of the boxNumber property.
  `LocalizedDescriptionType`
  `getCityName()`
  Gets the value of the cityName property.
  `Integer`
  `getCountryCode()`
  Gets the value of the countryCode property.
  `String`
  `getCountryIsoCode()`
  Gets the value of the countryIsoCode property.
  `LocalizedDescriptionType`
  `getCountryName()`
  Gets the value of the countryName property.
  `String`
  `getHouseNumber()`
  Gets the value of the houseNumber property.
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `String`
  `getPostalCode()`
  Gets the value of the postalCode property.
  `LocalizedDescriptionType`
  `getStreetName()`
  Gets the value of the streetName property.
  `void`
  `setBoxNumber(String value)`
  Sets the value of the boxNumber property.
  `void`
  `setCityName(LocalizedDescriptionType value)`
  Sets the value of the cityName property.
  `void`
  `setCountryCode(Integer value)`
  Sets the value of the countryCode property.
  `void`
  `setCountryIsoCode(String value)`
  Sets the value of the countryIsoCode property.
  `void`
  `setCountryName(LocalizedDescriptionType value)`
  Sets the value of the countryName property.
  `void`
  `setHouseNumber(String value)`
  Sets the value of the houseNumber property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.
  `void`
  `setPostalCode(String value)`
  Sets the value of the postalCode property.
  `void`
  `setStreetName(LocalizedDescriptionType value)`
  Sets the value of the streetName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForeignAddressDeclarationType

    public ForeignAddressDeclarationType()

- ## Method Details

  - ### getCountryIsoCode

    public String getCountryIsoCode()
    Gets the value of the countryIsoCode property.
    Returns:
      possible object is `String`

  - ### setCountryIsoCode

    public void setCountryIsoCode(String value)
    Sets the value of the countryIsoCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCountryCode

    public Integer getCountryCode()
    Gets the value of the countryCode property.
    Returns:
      possible object is `Integer`

  - ### setCountryCode

    public void setCountryCode(Integer value)
    Sets the value of the countryCode property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getCountryName

    public LocalizedDescriptionType getCountryName()
    Gets the value of the countryName property.
    Returns:
      possible object is `LocalizedDescriptionType`

  - ### setCountryName

    public void setCountryName(LocalizedDescriptionType value)
    Sets the value of the countryName property.
    Parameters:
      `value` - allowed object is `LocalizedDescriptionType`

  - ### getCityName

    public LocalizedDescriptionType getCityName()
    Gets the value of the cityName property.
    Returns:
      possible object is `LocalizedDescriptionType`

  - ### setCityName

    public void setCityName(LocalizedDescriptionType value)
    Sets the value of the cityName property.
    Parameters:
      `value` - allowed object is `LocalizedDescriptionType`

  - ### getPostalCode

    public String getPostalCode()
    Gets the value of the postalCode property.
    Returns:
      possible object is `String`

  - ### setPostalCode

    public void setPostalCode(String value)
    Sets the value of the postalCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStreetName

    public LocalizedDescriptionType getStreetName()
    Gets the value of the streetName property.
    Returns:
      possible object is `LocalizedDescriptionType`

  - ### setStreetName

    public void setStreetName(LocalizedDescriptionType value)
    Sets the value of the streetName property.
    Parameters:
      `value` - allowed object is `LocalizedDescriptionType`

  - ### getHouseNumber

    public String getHouseNumber()
    Gets the value of the houseNumber property.
    Returns:
      possible object is `String`

  - ### setHouseNumber

    public void setHouseNumber(String value)
    Sets the value of the houseNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBoxNumber

    public String getBoxNumber()
    Gets the value of the boxNumber property.
    Returns:
      possible object is `String`

  - ### setBoxNumber

    public void setBoxNumber(String value)
    Sets the value of the boxNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`